Generated (Java Platform SE 8 )
Keywords: javax.annotation.Generated class
Date: 2023-01-18

javax.annotation

## Annotation Type Generated

-     @Documented
       @Retention(value=SOURCE)
       @Target(value={PACKAGE,TYPE,ANNOTATION_TYPE,METHOD,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,PARAMETER})
      public @interface Generated

  The Generated annotation is used to mark source code that has been generated. It can also be used to differentiate user written code from generated code in a single file. When used, the value element must have the name of the code generator. The recommended convention is to use the fully qualified name of the code generator in the value field .

  For example: com.company.package.classname. The date element is used to indicate the date the source was generated. The date element must follow the ISO 8601 standard. For example the date element would have the following value 2001-07-04T12:08:56.235-0700 which represents 2001-07-04 12:08:56 local time in the U.S. Pacific Time time zone.

  The comment element is a place holder for any comments that the code generator may want to include in the generated code.

  Since:
    Common Annotations 1.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String[]` | `value` The value element MUST have the name of the code generator.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `comments` A place holder for any comments that the code generator may want to include in the generated code.
    `String` | `date` Date when the source was generated.

- - ### Element Detail

    - #### value

          public abstract String[] value

      The value element MUST have the name of the code generator. The recommended convention is to use the fully qualified name of the code generator. For example: com.acme.generator.CodeGen.

  - - #### date

          public abstract String date

      Date when the source was generated.
      Default:
        ""

  - - #### comments

          public abstract String comments

      A place holder for any comments that the code generator may want to include in the generated code.
      Default:
        ""

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.